Taiga
API ReferenceFee SchedulesV3

List unique dimension values

Gets unique values for a dimension based on other selection criteria. The response is a list of dimensions with your criteria and the unique values populated. This API is useful for driving pivots on dimension values.

GET
/api/fee-schedules/v3/unique-dimension-values

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Query Parameters

page_token?PageToken|null
limit?|

Max number of values returned. Defaults to 1000. Max is 1000.

pivot_dimension*fee-schedulesv3DimensionName

The name of the dimension to fetch unique values for.

Value in

  • "payer_uuid"
  • "organization_billing_provider_id"
  • "cpt_code"
payer_uuid?|null
organization_billing_provider_id?|null
states?array<|null>
zip_codes?array<string|null>
license_types?array<|null>
facility_type_codes?array<|null>
network_types?array<|null>
payer_plan_group_ids?array<|null>
cpt_code?string|null
modifiers?array<|null>

Response Body

application/json

curl -X GET "https://example.com/api/fee-schedules/v3/unique-dimension-values?pivot_dimension=payer_uuid"
{  "dimensions": [    {      "payer_uuid": "ecc6b222-ef84-4433-9856-dedc46036dc7",      "organization_billing_provider_id": "701110bc-37ea-4e74-b1be-206d60a16948",      "states": [        "AA"      ],      "zip_codes": [        "string"      ],      "license_types": [        "MD"      ],      "facility_type_codes": [        "01"      ],      "network_types": [        "12"      ],      "payer_plan_group_ids": [        "d5a5a3d6-e046-4f56-bd9b-be28db4d8639"      ],      "cpt_code": "string",      "modifiers": [        "AV"      ]    }  ],  "prev_page_token": "string",  "next_page_token": "string"}